aboutsummaryrefslogtreecommitdiff
path: root/src/clean.bash
diff options
context:
space:
mode:
authorAndrew Gerrand <adg@golang.org>2010-07-22 10:15:36 +1000
committerAndrew Gerrand <adg@golang.org>2010-07-22 10:15:36 +1000
commitd34174cfb57568eb4e7df19d51f15e65c638f679 (patch)
treed9adc3a94453e7f8f70d271d2d255de516914687 /src/clean.bash
parentd1e7cffe6c86996ab60d6cf9dc8f7ec1a7b47112 (diff)
downloadgo-d34174cfb57568eb4e7df19d51f15e65c638f679.tar.gz
go-d34174cfb57568eb4e7df19d51f15e65c638f679.zip
build: clean.bash to check that GOOS and GOARCH are set
R=rsc CC=golang-dev https://golang.org/cl/1843046
Diffstat (limited to 'src/clean.bash')
-rwxr-xr-xsrc/clean.bash8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/clean.bash b/src/clean.bash
index 567e6e3196..db4cf40101 100755
--- a/src/clean.bash
+++ b/src/clean.bash
@@ -9,6 +9,14 @@ if [ -z "$GOROOT" ] ; then
echo '$GOROOT not set'
exit 1
fi
+if [ -z "$GOOS" ] ; then
+ echo '$GOOS not set'
+ exit 1
+fi
+if [ -z "$GOARCH" ] ; then
+ echo '$GOARCH not set'
+ exit 1
+fi
GOBIN="${GOBIN:-$HOME/bin}"